curl --request PATCH \
--url https://api.treasuryprime.com/webhook/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.application.com/newurl"
}
'import requests
url = "https://api.treasuryprime.com/webhook/{id}"
payload = { "url": "https://example.application.com/newurl" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://example.application.com/newurl'})
};
fetch('https://api.treasuryprime.com/webhook/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2018-12-03T19:46:45Z",
"error": null,
"event": "ach.update",
"id": "wh_012345678923",
"status": "enabled",
"updated_at": "2018-12-03T19:46:45Z",
"url": "https://example.application.com/newurl",
"userdata": null
}Update a Webhoook
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Body
The webhook to update
The password value sent as part of basic Authorization for request validation. Always shown as null in all responses.
The user value sent as part of basic Authorization for request validation. Use is optional.
The event to listen for. Available events
One of enabled or disabled
The HTTPS URL where the event notification will be sent
Optional arbitrary user data
Response
The webhook updated
The password value sent as part of basic Authorization for request validation. Always shown as null in all responses.
The user value sent as part of basic Authorization for request validation. Use is optional.
The error reason, if the webhook has transitioned status to error
The event to listen for. Available events
Unique identifier for object
One of enabled, disabled, or error. Filterable.
The HTTPS URL where the event notification will be sent
Optional arbitrary user data
Was this page helpful?